using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;


public class LocalizedTextMeshPro : MonoBehaviour {

	private Text text; 

	public string key; //Ключ для значения

    public int index; //Индекс файла из какого нужно брать значение

	void Start ()
    {
        if (LocalizationManager.instance == true)
        {
            bool start = LocalizationManager.instance.GetIsReady();

            if (start == true)
            {
                SetText();
            }
        }
	}

    //Устанавливаем текст
	public void SetText()
	{
		TextMeshProUGUI text = GetComponent<TextMeshProUGUI> ();

        text.text = LocalizationManager.instance.GetLocalizedValue(key, index);
	}
}
